#
# makefile for misc functions
#

PROGS=bdflush
CFLAGS=$(DEFS) -O6 -fomit-frame-pointer -I../../include -L../../lib/aout

all: $(PROGS)

clean:
	rm -f $(PROGS) *.o

bdflush: bdflush.c
	$(CC) $(CFLAGS) -o bdflush bdflush.c
	strip bdflush

install: bdflush
	install -d $(DESTDIR)/sbin
	install -d -o man -g man $(DESTDIR)/usr/man/man8
	install -o 0 -g 0 -m 511 -c -s bdflush $(DESTDIR)/sbin
	install -o man -g man -m 444 -c update.8 $(DESTDIR)/usr/man/man8
	ln $(DESTDIR)/usr/man/man8/update.8  $(DESTDIR)/usr/man/man8/bdflush.8
	ln -s bdflush $(DESTDIR)/sbin/update
